Subject: FVWM: Re: [linux-audio-dev] ladspa plugin GUI proposal

From: Erik Steffl <[email-masked]>
Date: Wed, 24 May 2000 11:14:46 -0700

you're sidestepping the issue. even if the dsp part is completely
independent we still need the gui part for completeness (VST experience
shows that it is needed/used).

  so one way or another the LADSPA should (IMO) specify the
visual/control part (as opposed to audio/dsp part).

  of course, the ui and back-end dsp processing should be as independent
as possible (but notmore and ui should not be completely ignored/left
out).

	erik

Maurizio De Cecco wrote:
> 
> Erik Steffl <[email-masked]> writes:
> 
> >   it looks like the reason gui is so important is that some plugins will
> > be audio/visual, not audio only.
> >
> >   the visual part can be:
> >
> >   A: part of core functionality (osciloscope) or
> >   B: simply fancy buttons.
> >
> >   while we might ignore the B (not nice, but it might prove acceptable)
> > we (IMO) should not ignore A.
> 
> 1) Make a DSP plug-in that implement the data reduction algorithm
>    and produce some kind of video data stream; for example,
>    use a event model to send the data, or provide the data
>    in a memory area.
> 
> 2) Make a GUI component that take this data and show it in an oscilloscope;
>    use shared memory, or event, depending on the bandwidth problems you
>    have, and on the overall application architecture; make it accordingly
>    to you needs, your toolkit, respecting the plug-in standards for UI applications
>    (KParts, Bonobo, other).
> 
> Again, separate DSP and GUI; make an API that allow a proper data exchange
> with the plug-in, and cover the UI problem elsewhere.
> 
> Finally, use a packaging system (like RPM) that allow you to distribute
> the DSP plug-in library, the various implementation of the GUI component,
> a stand-alone runner for the plug-in, the documentation, and what else,
> as a single "entity".
> 
> Maurizio
--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].